# Accepts errors from the UI client POST https://app.unleash-instance.example.com/api/admin/record-ui-error Content-Type: application/json This endpoint accepts error reports from the UI client, so that we can add observability on UI errors. Reference: https://docs.getunleash.io/api/ui-observability ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Accepts errors from the UI client version: endpoint_adminUi.uiObservability paths: /api/admin/record-ui-error: post: operationId: ui-observability summary: Accepts errors from the UI client description: >- This endpoint accepts error reports from the UI client, so that we can add observability on UI errors. tags: - - subpackage_adminUi parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '204': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Admin UI_uiObservability_Response_204' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} requestBody: description: recordUiErrorSchema content: application/json: schema: $ref: '#/components/schemas/recordUiErrorSchema' components: schemas: recordUiErrorSchema: type: object properties: errorMessage: type: string description: The error message errorStack: type: string description: The stack trace of the error required: - errorMessage Admin UI_uiObservability_Response_204: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/record-ui-error" payload = { "errorMessage": "string" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/record-ui-error'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"errorMessage":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/record-ui-error" payload := strings.NewReader("{\n \"errorMessage\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/record-ui-error") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"errorMessage\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/record-ui-error") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"errorMessage\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/record-ui-error', [ 'body' => '{ "errorMessage": "string" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/record-ui-error"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"errorMessage\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["errorMessage": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/record-ui-error")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```